'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var cssVar = require('./utils/css-var.cjs.js');
var transforms = require('./utils/transforms.cjs.js');

const style = {
    get: (element, name) => {
        let value = cssVar.isCssVar(name)
            ? element.style.getPropertyValue(name)
            : getComputedStyle(element)[name];
        if (!value && value !== 0) {
            const definition = transforms.transformDefinitions.get(name);
            if (definition)
                value = definition.initialValue;
        }
        return value;
    },
};

exports.style = style;
