import { isCssVar } from './utils/css-var.es.js';
import { transformDefinitions } from './utils/transforms.es.js';

const style = {
    get: (element, name) => {
        let value = isCssVar(name)
            ? element.style.getPropertyValue(name)
            : getComputedStyle(element)[name];
        if (!value && value !== 0) {
            const definition = transformDefinitions.get(name);
            if (definition)
                value = definition.initialValue;
        }
        return value;
    },
};

export { style };
