'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var isNumber = require('../../../utils/is-number.cjs.js');

const isCubicBezier = (easing) => Array.isArray(easing) && isNumber.isNumber(easing[0]);
const isEasingList = (easing) => Array.isArray(easing) && !isNumber.isNumber(easing[0]);
const isCustomEasing = (easing) => typeof easing === "object" &&
    Boolean(easing.createAnimation);
const convertEasing = (easing) => isCubicBezier(easing) ? cubicBezierAsString(easing) : easing;
const cubicBezierAsString = ([a, b, c, d]) => `cubic-bezier(${a}, ${b}, ${c}, ${d})`;

exports.convertEasing = convertEasing;
exports.cubicBezierAsString = cubicBezierAsString;
exports.isCubicBezier = isCubicBezier;
exports.isCustomEasing = isCustomEasing;
exports.isEasingList = isEasingList;
