'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var poses = require('../utils/poses.cjs.js');
var updateTarget = require('../utils/update-target.cjs.js');

function useGestureState(target, options, stylesToApply, inheritedPose, poses$1) {
    const [isGestureActive, setGestureState] = React.useState(false);
    if (isGestureActive || inheritedPose) {
        updateTarget.updateTargetAndOptions(target, options, poses.resolvePose(stylesToApply, inheritedPose, poses$1));
    }
    return [isGestureActive || Boolean(inheritedPose), setGestureState];
}

exports.useGestureState = useGestureState;
