'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var useGestureState = require('./use-gesture-state.cjs.js');

function useHover(target, options, { hover, onPointerEnter, onPointerLeave, poses, } = {}, { hover: inheritedHover }, isPoseActive) {
    const [isHoverActive, setHoverState] = useGestureState.useGestureState(target, options, hover, inheritedHover, poses);
    isPoseActive.hover = isHoverActive;
    return hover
        ? {
            onPointerEnter: (e) => {
                onPointerEnter === null || onPointerEnter === void 0 ? void 0 : onPointerEnter(e);
                setHoverState(true);
            },
            onPointerLeave: (e) => {
                onPointerLeave === null || onPointerLeave === void 0 ? void 0 : onPointerLeave(e);
                setHoverState(false);
            },
        }
        : {};
}

exports.useHover = useHover;
