import { useGestureState } from './use-gesture-state.es.js';

function useHover(target, options, { hover, onPointerEnter, onPointerLeave, poses, } = {}, { hover: inheritedHover }, isPoseActive) {
    const [isHoverActive, setHoverState] = useGestureState(target, options, hover, inheritedHover, poses);
    isPoseActive.hover = isHoverActive;
    return hover
        ? {
            onPointerEnter: (e) => {
                onPointerEnter === null || onPointerEnter === void 0 ? void 0 : onPointerEnter(e);
                setHoverState(true);
            },
            onPointerLeave: (e) => {
                onPointerLeave === null || onPointerLeave === void 0 ? void 0 : onPointerLeave(e);
                setHoverState(false);
            },
        }
        : {};
}

export { useHover };
