'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var useGestureState = require('./use-gesture-state.cjs.js');

function usePress(target, options, { press, onPointerDown, poses } = {}, { press: inheritedPress }, isPoseActive) {
    const [isPressActive, setPressState] = useGestureState.useGestureState(target, options, press, inheritedPress, poses);
    isPoseActive.press = isPressActive;
    if (!press)
        return {};
    const onPointerUp = () => {
        setPressState(false);
        window.removeEventListener("pointerup", onPointerUp);
    };
    return {
        onPointerDown: (e) => {
            onPointerDown === null || onPointerDown === void 0 ? void 0 : onPointerDown(e);
            setPressState(true);
            window.addEventListener("pointerup", onPointerUp);
        },
    };
}

exports.usePress = usePress;
