import { Easing } from "../targets/dom/types";
import { EasingFunction } from "../targets/js/types";
export declare type From = "first" | "last" | "center" | number;
export declare type StaggerOptions = {
    start?: number;
    from?: From;
    easing?: EasingFunction | Easing;
};
export declare type OptionResolver<T> = (i: number, total: number) => T;
export declare function stagger(duration?: number, { start, from, easing }?: StaggerOptions): OptionResolver<number>;
export declare function getFromIndex(from: From, total: number): number;
export declare function resolveOption<T>(option: T | OptionResolver<T>, i: number, total: number): T;
